{% extends "Docentes/Intranet/profile_docente.html" %}
{% load i18n admin_static admin_list %}

{% block breadcrumbs %}
    <ul class="breadcrumb">
        <li><a href="/docente/profile/">Home</a> <span class="divider">/</span></li>
        <li class="active">{% trans 'Cursos a cargo' %}</li>
    </ul>
{% endblock %}

{% block content-main %}
    <div class="row-fluid">
        <div class="well well2">
            <h3>{% trans 'Evaluación docente' %}</h3>
            <div>
                <form action="" method="get" class="form-horizontal well">
                    {% csrf_token %}
                    <select name="ie" id="ie">
                        {% for encuesta in encuestas %}
                            <option value="{{ encuesta.id }}">{{ encuesta.Nombre }}</option>
                        {% endfor %}
                    </select>
                    <input type="submit" value="Cargar">
                </form>
            </div>
            <div>
                {% if ie != '' %}
                    <table class="table table-striped table-bordered">
                        <tr>
                            <th>Código</th>
                            <th>Curso</th>
                            <th>Ciclo</th>
                            <th>Carrera</th>
                            <th>Grupo</th>
                            <th colspan="2">Promedio</th>
                        </tr>

                        {% for curso in cursos %}
                            <tr>
                                <td style="text-align: center">{{ curso.codigo }}</td>
                                <td style="text-align: center">{{ curso.nombre }}</td>
                                <td style="text-align: center">{{ curso.ciclo }}</td>
                                <td style="text-align: center">{{ curso.carrera }}</td>
                                <td style="text-align: center">{{ curso.grupo }}</td>
                                <td style="text-align: center">{{ curso.promedio }}</td>
                                <td style="text-align: center">
                                    <a href="descargar/{{ curso.id }}" class="btn btn-success">Descargar</a>
                                </td>
                            </tr>
                        {% endfor %}
                        <tr>
                            <td colspan="5" style="text-align: center"><b>Promedio general</b></td>
                            <td style="text-align: center">{{ promedio_general }}</td>
                            <td></td>
                        </tr>
                    </table>

                {% else %}
                    <p>{% trans 'No se encontraron resultados. Seleccione una encuesta.' %}</p>
                {% endif %}

            </div>
        </div>
    </div>
{% endblock %}
